# eric6.Plugins.UiExtensionPlugins.PipInterface.PipRequirementsSelectionDialog

Module implementing a dialog to enter a requirements file.

### Global Attributes

None

### Classes

PipRequirementsSelectionDialog | Class implementing a dialog to enter a requirements file.

### Functions

None

## PipRequirementsSelectionDialog

Class implementing a dialog to enter a requirements file.

### Derived from

QDialog, Ui_PipRequirementsSelectionDialog

### Class Attributes

None

### Class Methods

None

### Methods

PipRequirementsSelectionDialog | Constructor
getData | Public method to get the entered data.
on_fileButton_clicked | Private slot to enter the requirements file via a file selection dialog.
on_requirementsEdit_textChanged | Private slot handling entering the name of a requirements file.

### Static Methods

None

#### PipRequirementsSelectionDialog (Constructor)

PipRequirementsSelectionDialog(plugin, parent=None)

Constructor

plugin
  reference to the plugin object (ToolPipPlugin)
parent
  reference to the parent widget (QWidget)

#### PipRequirementsSelectionDialog.getData

getData()

Public method to get the entered data.

Returns:
  tuple with the pip command (string) and the name of the requirements file (string)

#### PipRequirementsSelectionDialog.on_fileButton_clicked

on_fileButton_clicked()

Private slot to enter the requirements file via a file selection dialog.

#### PipRequirementsSelectionDialog.on_requirementsEdit_textChanged

on_requirementsEdit_textChanged(txt)

Private slot handling entering the name of a requirements file.

txt
  name of the requirements file (string)

Up